App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
mhr_appcore_blending_Blender.hpp File Reference
`#include <jni.h>`

Go to the source code of this file.

## Functions
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_blendTo__IIJJIIIIII (JNIEnv *, jclass, jint, jint, jlong, jlong, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_blendTo__IIJJIIIIIID (JNIEnv *, jclass, jint, jint, jlong, jlong, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_blendTo__IIJIIIII (JNIEnv *, jclass, jint, jint, jlong, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_blendTo__IIJIIIIID (JNIEnv *, jclass, jint, jint, jlong, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo__IJJIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo__IJJIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo__IJJJIIIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo__IJJJIIIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom__IJJIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom__IJJIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom__IJJJIIIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom__IJJJIIIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo4ch__IJJIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo4ch__IJJIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo4ch__IJJJIIIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_addTo4ch__IJJJIIIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJJIIIIIIII (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJJIIIIIIIID (JNIEnv *, jclass, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_drawTo__IIJJIIIIIII (JNIEnv *, jclass, jint, jint, jlong, jlong, jint, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_drawTo__IIJJIIIIIIID (JNIEnv *, jclass, jint, jint, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jdouble)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_drawTo__IIJJJIIIIIIII (JNIEnv *, jclass, jint, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint)
JNIEXPORT jint JNICALL | Java_mhr_appcore_blending_Blender_drawTo__IIJJJIIIIIIIID (JNIEnv *, jclass, jint, jint, jlong, jlong, jlong, jint, jint, jint, jint, jint, jint, jint, jint, jdouble)

## Function Documentation

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo4ch__IJJIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY
| ) |  |

protected native static jint addTo(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY);

Definition at line 302 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo4ch__IJJIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jdouble | alpha
| ) |  |

protected native static jint addTo(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY, jdouble alpha);

Definition at line 320 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo4ch__IJJJIIIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY
| ) |  |

protected native static int addTo(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY);

Definition at line 338 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo4ch__IJJJIIIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY,
|  | jdouble | alpha
| ) |  |

protected native static int addTo(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha);

Definition at line 357 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo__IJJIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY
| ) |  |

protected native static jint addTo(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY);

Definition at line 135 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo__IJJIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jdouble | alpha
| ) |  |

protected native static jint addTo(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY, jdouble alpha);

Definition at line 153 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo__IJJJIIIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY
| ) |  |

protected native static int addTo(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY);

Definition at line 171 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_addTo__IJJJIIIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY,
|  | jdouble | alpha
| ) |  |

protected native static int addTo(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha);

Definition at line 190 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::addTo(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_blendTo__IIJIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jint | color,
|  | jint | dstTlx,
|  | jint | dstTly,
|  | jint | dstBrx,
|  | jint | dstBry
| ) |  |

protected native static int blendTo(int nativeType, int mode, long dstAdress, int color, int dstTlx, int dstTly, int dstBrx, int dstBry);

Definition at line 59 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
px_4x8bit src = color;
retVal = Blender::blendTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), &src, Rect(dstTlx, dstTly, dstBrx, dstBry));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_blendTo__IIJIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jint | color,
|  | jint | dstTlx,
|  | jint | dstTly,
|  | jint | dstBrx,
|  | jint | dstBry,
|  | jdouble | alpha
| ) |  |

protected native static int blendTo(int nativeType, int mode, long dstAdress, int color, int dstTlx, int dstTly, int dstBrx, int dstBry, double alpha);

Definition at line 77 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
px_4x8bit src = color;
retVal = Blender::blendTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), &src, Rect(dstTlx, dstTly, dstBrx, dstBry), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_blendTo__IIJJIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY
| ) |  |

protected native static int blendTo(int nativeType, int mode, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY);

Definition at line 9 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
retVal = Blender::blendTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), *((rgba_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry),
Point(srcOrigX, srcOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_blendTo__IIJJIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jdouble | alpha
| ) |  |

protected native static int blendTo(int nativeType, int mode, long dstAdress, long srcAdress, int srcTlx, int srcTly, int srcBrx, int srcBry, int srcOrigX, int srcOrigY, double alpha);

Definition at line 28 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
retVal = Blender::blendTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), *((rgba_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry),
Point(srcOrigX, srcOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_drawTo__IIJJIIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jint | color,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | mskOrigX,
|  | jint | mskOrigY
| ) |  |

protected native static int drawTo(int nativeType, int mode, long dstAdress, long mskAdress, int color, int mskTlx, int mskTly, int mskBrx, int mskBry, int mskOrigX, int mskOrigY);

Definition at line 474 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
px_4x8bit src = color;
retVal = Blender::drawTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), &src, Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(mskOrigX, mskOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_drawTo__IIJJIIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jint | color,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | mskOrigX,
|  | jint | mskOrigY,
|  | jdouble | alpha
| ) |  |

protected native static jint drawTo(jint nativeType, jint mode, long dstAdress, long mskAdress, jint color, jint mskTlx, jint mskTly, jint mskBrx, jint mskBry, jint mskOrigX, jint mskOrigY, jdouble alpha);

Definition at line 494 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
px_4x8bit src = color;
retVal = Blender::drawTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), &src, Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(mskOrigX, mskOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_drawTo__IIJJJIIIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY
| ) |  |

protected native static jint drawTo(jint nativeType, jint mode, long dstAdress, long mskAdress, long srcAdress, jint mskTlx, jint mskTly, jint mskBrx, jint mskBry, jint srcOrigX, jint srcOrigY, jint mskOrigX, jint mskOrigY);

Definition at line 514 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
retVal = Blender::drawTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((rgba_8bit_bitmap *) srcAdress),
Rect(mskTlx, mskTly, mskBrx, mskBry), Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_drawTo__IIJJJIIIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jint | mode,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY,
|  | jdouble | alpha
| ) |  |

protected native static jint drawTo(jint nativeType, jint mode, long dstAdress, long mskAdress, long srcAdress, jint mskTlx, jint mskTly, jint mskBrx, jint mskBry, jint srcOrigX, jint srcOrigY, jint mskOrigX, jint mskOrigY, jdouble alpha);

Definition at line 533 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case rgba_8_bit: {
retVal = Blender::drawTo((BlendMode) mode, *((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((rgba_8bit_bitmap *) srcAdress),
Rect(mskTlx, mskTly, mskBrx, mskBry), Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY
| ) |  |

protected native static jint removeFrom(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY);

Definition at line 376 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jdouble | alpha
| ) |  |

protected native static jint removeFrom(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY, jdouble alpha);

Definition at line 394 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJJIIIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY
| ) |  |

protected native static int removeFrom(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY);

Definition at line 412 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom4ch__IJJJIIIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY,
|  | jdouble | alpha
| ) |  |

protected native static int removeFrom(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha);

Definition at line 431 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((rgba_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom__IJJIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY
| ) |  |

protected native static jint removeFrom(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY);

Definition at line 209 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom__IJJIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | srcAdress,
|  | jint | srcTlx,
|  | jint | srcTly,
|  | jint | srcBrx,
|  | jint | srcBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jdouble | alpha
| ) |  |

protected native static jint removeFrom(jint nativeType, jlong dstAdress, jlong srcAdress, jint srcTlx, jint srcTly, jint srcBrx, jint srcBry, jint srcOrigX, jint srcOrigY, jdouble alpha);

Definition at line 227 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) srcAdress), Rect(srcTlx, srcTly, srcBrx, srcBry), Point(srcOrigX, srcOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom__IJJJIIIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY
| ) |  |

protected native static int removeFrom(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY);

Definition at line 245 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY));
break;
}
default:
retVal = -1;
break;
}
return retVal;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_blending_Blender_removeFrom__IJJJIIIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pClass,
|  | jint | nativeType,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jlong | srcAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | srcOrigX,
|  | jint | srcOrigY,
|  | jint | mskOrigX,
|  | jint | mskOrigY,
|  | jdouble | alpha
| ) |  |

protected native static int removeFrom(int nativeType, long dstAdress, long mskAdress, long srcAdress, int mskTlx, int mskTly, int mskBrx, int mskBry, int srcOrigX, int srcOrigY, int mskOrigX, int mskOrigY, double alpha);

Definition at line 264 of file mhr_appcore_blending_Blender.cpp.

{
int retVal = 0;
switch ((BitmapNativeType) nativeType) {
case mono_8_bit: {
retVal = Blender::removeFrom(*((mono_8bit_bitmap *) dstAdress), *((mono_8bit_bitmap *) mskAdress), *((mono_8bit_bitmap *) srcAdress), Rect(mskTlx, mskTly, mskBrx, mskBry),
Point(srcOrigX, srcOrigY), Point(mskOrigX, mskOrigY), alpha);
break;
}
default:
retVal = -1;
break;
}
return retVal;
}